
// PlaySound.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/*
  Přehraje zvukový soubor pomocí API java.applet
*/

import java.applet.Applet;
import java.applet.AudioClip;

public class PlaySound 
{
  public PlaySound(String fnm)
  {
    try {
	  AudioClip clip = Applet.newAudioClip( getClass().getResource(fnm) );
	  clip.play();
    }
    catch (Exception e) {
      System.out.println("Problém s " + fnm);
    }
  }  // konec metody: PlaySound()


  // ------------------------

  public static void main(String[] args)
  {
    if (args.length != 1) {
      System.out.println("Použití: java PlaySound <zvukový soubor>");
      System.exit(0);
    }
    new PlaySound(args[0]);
  }  // konec metody: main()

} // konec třídy: PlaySound
